unit uDllFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmDlg = class(TForm)
    btnTest: TButton;
    btnExit: TButton;
    procedure btnExitClick(Sender: TObject);
    procedure btnTestClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDlg: TfrmDlg;

//------------------------------------------------------------------------------
//    DLL Լ
//------------------------------------------------------------------------------
procedure ShowDllDlg(x,y: integer);
procedure HideDllDlg;
function GetDllDlgData(hOwner:HWND):string;stdcall;

exports
  ShowDllDlg,
  HideDllDlg,
  GetDllDlgData;

implementation

{$R *.dfm}

//------------------------------------------------------------------------------
        {DLL Form Լ}
//------------------------------------------------------------------------------

procedure TfrmDlg.btnExitClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmDlg.btnTestClick(Sender: TObject);
begin
  btnTest.Caption := 'Test';
end;

//------------------------------------------------------------------------------
        {DLL Լ}
//------------------------------------------------------------------------------

function GetDllDlgData(hOwner:HWND):string;stdcall;
begin
  Application.Handle := hOwner;

  if frmDlg = nil then
    frmDlg := TfrmDlg.Create(application);

  frmDlg.ShowModal;

  result := frmDlg.btnTest.Caption;
  FreeAndNil(frmDlg);
end;

procedure ShowDllDlg(x,y: integer);
begin
  if frmDlg = nil then
    frmDlg := TfrmDlg.Create(application);
  frmDlg.Position := poDesigned;
  frmDlg.Top := y;
  frmDlg.Left := x;
  frmDlg.Show;
end;

procedure HideDllDlg;
begin
  FreeAndNil(frmDlg);
end;




end.
